Skip to main content
GET
Get analytic account (Multiple Analytic Plans)
Learn more:
  • What is analytical accounting? ↗
  • How to use analytical plans and accounts in Chift? ↗

Path Parameters

consumer_id
string<uuid>
required
analytic_account_id
string
required
analytic_plan
string
required

Query Parameters

folder_id
string | null

Id of the accounting folder instance. A folder represents a legal entity within the system. Required when the multiple folders feature is enabled.

Response

Successful Response

id
string
required

Unique id of the analytic account in the accounting system.

Example:

"<this-analytic-account-id>"

active
boolean
required

Flag indicating whether the analytic account is active.

name
string
required

Name or label of the analytic account as it appears in the accounting system.

Example:

"Marketing"

analytic_plan
string
required
Example:

"<accounting-analytic-plan-id>"

code
string | null

Short code for the analytic account. Often used for internal referencing. For some integrations, it may be required to be unique.

Example:

"ANLY-01"

currency
string | null

Indicates the currency of the analytic account (e.g., EUR, USD).

Example:

"EUR"

balance
number | null
default:0
credit
number | null
default:0
debit
number | null
default:0